Subject: Re: [PATCH v3 0/5] Encode submodule gitdir names to avoid conflicts

From: Junio C Hamano <[email-masked]>
Date: Tue, 07 Oct 2025 10:27:00 -0700

Junio C Hamano <[email-masked]> writes:

> Adrian Ratiu <[email-masked]> writes:
>
>> Currently any existing submodule gitdir names are left untouched 
>> and are used as-is (unencoded) after the extension is enabled.
>
> And in order to make sure that a funny names and paths in existing
> submodules that can be misinterpreted as encoded would be registered
> with the new submodule.<name>.gitdirpath variable?

Sorry but this is -ECANNOTPARSE; let me try again.

    An existing submodule's gitdir may look like an encoded one (it may
    be littered with %xx if urlencode is what you chose), but we do not
    want it to be misinterpreted as such.  One way to ensure that the
    gitdir of the submodule <name> is literally that path is to use
    submodule.<name>.gitdirpath to point at the directory, right?

> That would be a robust way to transition.